.NET

Reply
Contributor
jgarciaanton
Posts: 20
Registered: ‎08-23-2006
Message 1 of 2 (111 Views)

Point entity ?

111 Views, 1 Replies
10-11-2006 07:16 AM
Hi,

I need to do something very simple but I am having problems with it.

I need to add a point to the model space, the same way that I can add a circle or another entity. The problem is that if I get a point from the editor I can not add it the normal way, because it doesn´t inherit from the Autodesk.AutoCAD.DatabaseServices.Entity class. I have also tried to use CType with no luck.

There is a class called PointEntity2d but I cannot see a way of creating an object from it and assign it a point2d.

I am using Acad2007 and VS 2005.

If anyone could "point" me in the right direction...

Thanks in advance
j.
Distinguished Contributor
jbooth
Posts: 223
Registered: ‎02-17-2006
Message 2 of 2 (111 Views)

Re: Point entity ?

10-11-2006 07:40 AM in reply to: jgarciaanton
Use the PointEntity2d or PointEntity3d classes, instead of Point2d and Point3d. The latter is not intended to be added to the database by itself - it is used to do other things (ex: specify block insertion points).
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.